/* MyAddressBook */

#import <Cocoa/Cocoa.h>
#import <AddressBook/AddressBook.h>
#import <AddressBook/ABPeoplePickerView.h>

//#import <Contacts/Contacts.h>
//#import <ContactsUI/ContactsUI.h>

#define MKBuyerTag 5

@class MyCollectionTableView, MyControllerShared, MyPanel;

@interface MyAddressBook : NSObject  <NSComboBoxDelegate, NSComboBoxDataSource>
{
	//MyCollectionTableView *collectionTableView;
	//IBOutlet MyControllerShared *controller;

	
	//IBOutlet NSComboBox *lentToTextView;
	//IBOutlet NSTextField *lentDateTextView;
	//IBOutlet NSButton *returnedSwitch;
	
	//IBOutlet NSImageView *borrowedPictureView;
	/*
	IBOutlet NSButton *newPersonButton;
	IBOutlet NSPanel *newPersonView;
	IBOutlet NSTextField *nameField;
	IBOutlet NSTextField *lastField;
	IBOutlet NSTextField *emailField;
	IBOutlet NSImageView *pictureField;
	IBOutlet NSButton *addButtonNewPerson;
	 */
	
    // In BorrowedBy.nib
	IBOutlet ABPeoplePickerView *peopleViewer;
	IBOutlet NSButton *selectPersonButton;

	IBOutlet NSWindow *askBorrowed;
	IBOutlet NSComboBox *askBorrowedName;
	IBOutlet NSTextField *askBorrowedTitle;
	IBOutlet NSTextField *askBorrowedDate;
	IBOutlet NSTextField *askDueDate;
	IBOutlet NSButton *applyToAll;
	
	//to disable button in Jaguar
	//IBOutlet NSButton *addressBookButtonAdd;
	//IBOutlet NSButton *addressBookButtonBorrowed;
		
//	IBOutlet NSPanel *historyPanel;
//	IBOutlet NSTableView *historyTable;
	
//	IBOutlet NSArrayController *historyController;
	
	NSMutableArray *draggedEntries, *addressBookNames;	
	BOOL buyerButtonPressed; 
	NSInteger addressBookNameOrdering;
	
	ABPerson *lastSelectedPerson;
}

@property (strong, nonatomic) NSArray *topLevelObjects;

- (void)myInit;

- (IBAction)showAddressBook:(id)sender;

- (IBAction)cancelAddresBook:(id)sender;
- (IBAction)okayAddresBook:(id)sender;
- (IBAction)makeListOfBorrowed:(id)sender;

//- (IBAction)createNewPerson:(id)sender;

- (void)dragToBorrowed:(NSArray *)anArray;
- (IBAction)cancelDragBorrowed:(id)sender;
- (IBAction)okayDragBorrowed:(id)sender;

- (IBAction)openEmailForBorrowed:(id)sender;

- (IBAction)stopModalWithTag:(id)sender;

- (IBAction)borrowedEndEditing:(id)sender;

- (NSImage *)imageForAddressBookID:(NSString *)anID;

- (NSString *)enterFieldsInto:(NSString *)incomingString forEntry:(MOEntry *)anEntry;
// Last selected person methods
//- (NSString *)uniqueID;

- (IBAction)emailSelection:(id)sender;
- (NSString *)fullnameForPerson:(ABPerson *)aPerson;

- (NSString *)IDForName:(NSString *)aName;

	
@end
