//
//  MyUpdate.h
//  Pediabase
//
//  Created by Conor Dearden on 26/4/07.
//  Copyright 2007 Chiguire LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>
enum {
	MKEntryNormal = 0,
	MKEntryShared = 1,
	MKEntryDoghouse = 2,
};

@interface MyUpdate : NSObject {
	NSMutableDictionary *dvds, *tracksDict, *addedUIDsForSQL;
}

//+ (NSManagedObject *)entryObjectFromDictionary:(NSDictionary *)aDictionary;
+ (MOEntry *)entryObjectFromDictionary:(NSDictionary *)aDictionary withContext:(NSManagedObjectContext *)managedObjectContext shared:(NSInteger)sharedEntry;
+ (MOEntry *)entryObjectFromOldDictionary:(NSDictionary *)aDictionary;

- (BOOL)importOldXML:(NSString *)pathToInfo;


+ (void)updateDate:(NSMutableDictionary *)entry fields:(NSArray *)fieldsArray;
+ (void)updateQuicktimePathsToLinks:(NSMutableArray *)tracks progress:(NSTextField *)infoProgress bar:(NSProgressIndicator *)progressBar;

+ (NSString *)oldKeyFromNewKey:(NSString *)newKey;
+ (NSString *)keyFromOldKey:(NSString *)oldKey;

+ (NSMutableDictionary *)dictionaryFromOldDictionary:(NSDictionary *)aDictionary;

//- (void)updateFromVersion391;
//- (NSManagedObject *)addAttributesAndRelationshipsFor:(NSManagedObject *)oldObject to:(NSManagedObjectContext *)newContext;

@end
