/* MyComboBoxData */

#import <Cocoa/Cocoa.h>

@interface MyComboBoxDataShared : NSObject <NSComboBoxDataSource, NSComboBoxDelegate> {

    BOOL needsSave;
	NSMutableDictionary *stringsDictionary;
	NSString *pathToStrings;
	
}
- (NSString *)completedString:(NSString *)uncompletedString forField:(NSString *)aField;

- (void)addValue:(NSString *)aString forField:(NSString *)aFieldIdentifier;
- (void)removeObjectAtIndex:(int)anIndex forField:(NSString *)aFieldIdentifier;
- (NSMutableArray *)arrayForField:(NSString *)aFieldIdentifier;
- (void)save;
- (void)setNeedsSave:(BOOL)aBool;


- (void)setAutoFillDictionary:(NSMutableDictionary *)aDictionary;
- (void)addValue:(NSString *)aString toAutofillField:(NSString *)fieldIdentifier;

- (void)reloadData;

@end
